4Suite™ API Documentation

# ► Module Ft.Lib.DistExt.BuildTests

Classes: BuildTests |  |  |  | Fields: StringTypes

## Classes

class BuildTests(distutils.command.build_py.build_py)

### Methods

build_test(self, package, test, test_file)
byte_compile(self, files)
finalize_options(self)
find_all_tests(self)
find_package_tests(self, package, package_dir)
get_outputs(self, include_bytecode=1)
get_package_dir(self, package)
Return the directory, relative to the top of the source distribution, where package 'package' should be found.
get_source_files(self)
get_test_outfile(self, build_dir, package, test)
initialize_options(self)
run(self)

### Methods inherited from class distutils.command.build_py.build_py

build_module, build_modules, build_package_data, build_packages, check_module, check_package, find_all_modules, find_data_files, find_modules, find_package_modules, get_data_files, get_module_outfile

### Methods inherited from class distutils.cmd.Command

__getattr__, __init__, announce, copy_file, copy_tree, debug_print, dump_options, ensure_dirname, ensure_filename, ensure_finalized, ensure_string, ensure_string_list, execute, get_command_name, get_finalized_command, get_sub_commands, make_archive, make_file, mkpath, move_file, reinitialize_command, run_command, set_undefined_options, spawn, warn

### Fields

boolean_options = ['force', 'compile']
command_name = 'build_tests'
description = 'build test files'
negative_opt = {'no-compile': 'compile'}
user_options = [('build-dir=', 'd', 'directory to "build" (copy) to'), ('force', 'f', 'forcibly build everything (ignore file timestamps)'), ('compile', 'c', 'compile .py to .pyc'), ('no-compile', None, "don't compile .py files [default]"), ('optimize=', 'O', 'also compile with optimization: -O1 for "python ...r "python -OO", and -O0 to disable [default: -O0]')]

### Fields

StringTypes = (<type 'str'>, <type 'unicode'>)